.settings .box {
  padding: 2rem;
}

.settings h2 {
  margin: 0 0 1rem;
  padding: .5rem 1rem;
  width: 100%;
  background-color: var(--dark);
  color: var(--white);
  text-align: center;
  border-radius: 3px;
}

.my-name {
  margin: 0 auto 3rem;
  text-align: center;
}

.my-name form {
  margin: 0; 
}

.my-name h2 {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: .5rem;
}

.my-name h2 span {
  font-style: italic;
  font-size: 13px;
}

.my-name input {
  margin: .5rem 0 0;
  padding: .5rem; 
  color: var(--dark); 
  border: 1px solid var(--medium);
  border-right: 0;
  border-radius: 5px 0 0 5px;
}

.my-name button {
  margin-left: -5px; 
  padding: .5rem; 
  background-color: var(--medium);
  color: var(--white);
  border: 1px solid var(--medium);
  border-radius: 0 5px 5px 0;
  transition: var(--hover);
}

.my-name button:hover {
  background-color: var(--red);
  border-color: var(--red);
}

.settings .resets {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  margin: 0 auto;
}

.settings .warning {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: .5rem;
  margin: 0;
  padding: 1rem;
  width: 100%;
  background-color: orange;
  color: var(--dark);
  text-align: center;
}

.resets form {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  padding: 1rem;
  width: 100%;
  background-color: var(--verylight);
  border: 1px solid var(--medium);
  border-radius: 7px;
  transition: var(--hover);
}

@media (max-width: 485px) {
  .resets form {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0;
  }
}

.resets h2 {
  margin: 0;
}

.resets > span {
  display: block;
  max-width: calc(100% - 80px);
}

.resets span span {
  display: block;
  font-size: .8rem;
  text-transform: uppercase;
}


.resets button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: .5rem;
  background-color: var(--red);
  min-width: 75px;
  width: 75px;
  font-size: .7rem;
  color: var(--white);
  text-decoration: none;
  text-transform: uppercase;
  border-radius: 3px;
  transition: var(--hover);
  user-select: none;
}

.resets button:hover {
  background-color: orange;
  color: var(--dark);
}